Bug 1490135 - Atomic Scan not working on an image and unhelpful error message
Summary: Atomic Scan not working on an image and unhelpful error message
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: atomic
Version: 7.5
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Brent Baude
QA Contact: atomic-bugs@redhat.com
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-10 19:34 UTC by Steven Citron-Pousty
Modified: 2021-01-15 07:41 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-01-15 07:41:58 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Steven Citron-Pousty 2017-09-10 19:34:42 UTC
Description of problem:
When I 'atomic scan' this image:

docker.io/richxsl/rhel7                                latest              9c7b3825758a        2 years ago         245 MB


I get this error:
'NoneType' object is not subscriptable



Version-Release number of selected component (if applicable):
Installed Packages
Name         : atomic
Version      : 1.18.1
Release      : 5.fc26
Arch         : x86_64
Size         : 4.2 M
Source       : atomic-1.18.1-5.fc26.src.rpm
Repo         : @System
From repo    : fedora


How reproducible:


Steps to Reproduce:
atomic scan the image I listed above

Actual results:


Expected results:
The normal scan output

Additional info:
This works for every other RHEL image I try so I am not sure what is going on here.

Comment 2 Brent Baude 2017-09-11 13:36:40 UTC
please rerun with atomic --debug so we can gather some more information.

Comment 4 RHEL Program Management 2021-01-15 07:41:58 UTC
After evaluating this issue, there are no plans to address it further or fix it in an upcoming release.  Therefore, it is being closed.  If plans change such that this issue will be fixed in an upcoming release, then the bug can be reopened.


Note You need to log in before you can comment on or make changes to this bug.